<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>USUARIO</title>
        <h:outputStylesheet library="css" name="bootstrap.min.css"/>
        <h:outputScript library="js" name="bootstrap.min.js"/>
    </h:head>
    <h:body>
        <br>
        <h:form id="frmIngresar">
            <p:growl id="growl_i" showDetail="true"/>
            <p:panelGrid id="pgInsertar" columns="3">
                <p:outputLabel value="Id" />
                <p:inputText class="form-control" id="txt_id" value="#{mbUsuario.obj_Usuario.idUsuario}" required="true"/>
                <p:message for="txt_id"/>
                
                <p:outputLabel value="Nombres"/>
                <p:inputText class="form-control" id="txt_Nombres" value="#{mbUsuario.obj_Usuario.nombre}" required="true"/>
                <p:message for="txt_Nombres"/>
                
                <p:outputLabel value="Apellidos"/>
                <p:inputText class="form-control" id="txt_Apellidos" value="#{mbUsuario.obj_Usuario.apellido}" required="true"/>
                <p:message for="txt_Apellidos"/>
                
                <p:outputLabel value="Pais"/>
                <p:selectOneMenu id="cboPais" value="#{mbUsuario.obj_Usuario.pais}" required="true">
                    <f:selectItem itemLabel="Ecuador" itemValue="ecuador"/>
                    <f:selectItem itemLabel="Colombia" itemValue="colombia"/>
                    <f:selectItem itemLabel="Brasil" itemValue="brasil"/>
                </p:selectOneMenu>
                <p:message for="cboPais"/>
                 
                <p:outputLabel value="Sexo"/>
                <p:selectOneRadio id="rdbSexo" value="#{mbUsuario.obj_Usuario.sexo}" required="true">
                    <f:selectItem itemLabel="Masculino" itemValue="M"/>
                    <f:selectItem itemLabel="Femenino" itemValue="F"/>
                </p:selectOneRadio>
                <p:message for="rdbSexo"/>
                
                <p:outputLabel value="Fecha de nacimiento"/>
                <p:inputText class="form-control" id="txt_Fecha" value="#{mbUsuario.obj_Usuario.fechaNacimiento}" required="true">
                    <f:convertDateTime pattern="yyyy-MM-dd"/>
                </p:inputText>
                <p:message for="txt_Fecha"/>

                
                <p:outputLabel value="Contraseña"/>
                <p:inputText class="form-control" id="txt_Contraseña" value="#{mbUsuario.obj_Usuario.contrasena}" required="true"/>
                <p:message for="txt_Contraseña"/>
                
                <p:outputLabel value="Nickname"/>
                <p:inputText class="form-control" id="txt_Nickname" value="#{mbUsuario.obj_Usuario.nickname}" required="true"/>
                <p:message for="txt_Nickname"/>
                
                <p:commandButton icon="ui-icon-plusthick" value="Ingresar" 
                                 actionListener="#{mbUsuario.agregarUsuario()}" 
                                 update=":frmIngresar :frmConsultar"/>
                
            </p:panelGrid>  
        </h:form>
         </br>
        <h:form id="frmConsultar">
            <p:dataTable id="dtConsulta" value="#{mbUsuario.lstUsuario}" var="Usu">
                <p:column headerText="ID">
                    <h:outputText value="#{Usu.idUsuario}"/>
                </p:column>
                <p:column headerText="Nombre">
                    <h:outputText value="#{Usu.nombre}"/>
                </p:column> 
                <p:column headerText="Apellido">
                    <h:outputText value="#{Usu.apellido}"/>
                </p:column> 
                <p:column headerText="Pais">
                    <h:outputText value="#{Usu.pais}"/>
                </p:column> 
                <p:column headerText="Sexo">
                    <h:outputText value="#{Usu.sexo}"/>
                </p:column> 
                <p:column headerText="Fecha de Nacimiento">
                    <h:outputText value="#{Usu.fechaNacimiento}">
                        <f:convertDateTime pattern="yyyy-MM-dd"/>
                    </h:outputText>
                </p:column> 
                <p:column headerText="Contraseña">
                    <h:outputText value="#{Usu.contrasena}"/>
                </p:column> 
                <p:column headerText="Nickname">
                    <h:outputText value="#{Usu.nickname}"/>
                </p:column> 
                <p:column headerText="...">
                    <p:growl id="growl_m" showDetail="true"/>
                    <p:commandButton  value="Modificar"
                                      oncomplete="PF('dlgModificar').show()"
                                      update="frmModificar">
                        <f:setPropertyActionListener target="#{mbUsuario.obj_Usuario}" value="#{Usu}"/>
                    </p:commandButton>
                </p:column>
                <p:column headerText="..">
                    <p:growl id="growl_e" showDetail="true"/>
                    <p:commandButton  value="Eliminar"
                                      oncomplete="PF('dlgEliminar').show()"
                                      update=":frmEliminar">
                         <f:setPropertyActionListener target="#{mbUsuario.obj_Usuario}" value="#{Usu}"/>     
                    </p:commandButton>
                </p:column>
            </p:dataTable>
            
        </h:form>
        <p:dialog id="dlgModificar" widgetVar="dlgModificar" 
                  header="Modificar Usuario" showEffect="explode"  hideEffect="explode" minWidth="200" resizable="false"
                  modal="true">
            <h:form id="frmModificar">
                    <p:panelGrid id="pgModificar" columns="3">
                                        <p:outputLabel value="Id" />
                    <p:inputText id="txt_id" value="#{mbUsuario.obj_Usuario.idUsuario}" required="true"/>
                    <p:message for="txt_id"/>

                    <p:outputLabel value="Nombres"/>
                    <p:inputText id="txt_Nombres" value="#{mbUsuario.obj_Usuario.nombre}" required="true"/>
                    <p:message for="txt_Nombres"/>

                    <p:outputLabel value="Apellidos"/>
                    <p:inputText id="txt_Apellidos" value="#{mbUsuario.obj_Usuario.apellido}" required="true"/>
                    <p:message for="txt_Apellidos"/>

                    <p:outputLabel value="Pais"/>
                    <p:selectOneMenu id="cboPais" value="#{mbUsuario.obj_Usuario.pais}" required="true">
                        <f:selectItem itemLabel="Ecuador" itemValue="ecuador"/>
                        <f:selectItem itemLabel="Colombia" itemValue="colombia"/>
                        <f:selectItem itemLabel="Brasil" itemValue="brasil"/>
                    </p:selectOneMenu>
                    <p:message for="cboPais"/>

                    <p:outputLabel value="Sexo"/>
                    <p:selectOneRadio id="rdbSexo" value="#{mbUsuario.obj_Usuario.sexo}" required="true">
                        <f:selectItem itemLabel="Masculino" itemValue="M"/>
                        <f:selectItem itemLabel="Femenino" itemValue="F"/>
                    </p:selectOneRadio>
                    <p:message for="rdbSexo"/>

                    <p:outputLabel value="Fecha de nacimiento"/>
                    <p:inputText id="txt_Fecha" value="#{mbUsuario.obj_Usuario.fechaNacimiento}" required="true">
                        <f:convertDateTime pattern="yyyy-MM-dd"/>
                    </p:inputText>
                    <p:message for="txt_Fecha"/>
                    
                    <p:outputLabel value="Contraseña"/>
                    <p:inputText id="txt_Contraseña" value="#{mbUsuario.obj_Usuario.contrasena}" required="true"/>
                    <p:message for="txt_Contraseña"/>

                    <p:outputLabel value="Nickname"/>
                    <p:inputText id="txt_Nickname" value="#{mbUsuario.obj_Usuario.nickname}" required="true"/>
                    <p:message for="txt_Nickname"/>
                           
                    <p:commandButton icon="ui-icon-refresh" value="Modificar" 
                                     actionListener="#{mbUsuario.modificarUsuario()}"
                                     update=":frmConsultar" 
                                     oncomplete="PF('dlgModificar').hide() "/>
                </p:panelGrid>  
            </h:form>
        </p:dialog>
        <p:dialog id="dlgeliminar" widgetVar="dlgEliminar" header="Eliminar Usuario"
                  showEffect="explode" hideEffect="explode"
                  modal="true" minWidth="200" resizable="false">
            <h:form id="frmEliminar">         
                <p:outputLabel value="Desea eliminar el Usuario con Id: #{mbUsuario.obj_Usuario.idUsuario}"/>
                <p:commandButton icon="ui-icon-check" value="SI"
                                 actionListener="#{mbUsuario.eliminarUsuario()}"
                                 update=":frmConsultar" 
                                 oncomplete="PF('dlgEliminar').hide()"/>
                <p:commandButton icon="ui-icon-close" value="NO"
                                 onclick="PF('dlgEliminar').hide()"/>
                
                
            </h:form>
           
        </p:dialog>          
        
    </h:body>
</html>

